#ifndef _LINE_RECORDER
#define _LINE_RECORDER

#include "ofMain.h"
#include "ofVec3f.h"

#define MAX_NUM_LINE_RECORDER_PTS		5000

class lineRecorder{


	public:
	
	lineRecorder();
	
	ofVec3f 	pts[MAX_NUM_LINE_RECORDER_PTS];
	int 		nPts;
	
	void 		addPoint(ofVec3f newPt);
	void 		draw(float offsetx, float offsety);
	
	float		getCurrentAngle();
	ofVec3f 	getCurrentPoint();
};

#endif	